<div class="container-view">
    <div class="tools">
        <button routerLink="/apply-for-loan" mat-raised-button color="primary">{{ 'ADD_NEW_USER' | translate }}</button>
    </div>
    <div class="container-table mat-elevation-z2 m-top-25">
        <table mat-table [dataSource]="users$ | async" class="mat-elevation-z1" matSort>
            <ng-container matColumnDef="name">
                <th mat-header-cell *matHeaderCellDef>{{ 'NAME' | translate }}</th>
                <td mat-cell *matCellDef="let element"> {{ element.firstName }}
                    {{ element.lastName }}
                </td>
            </ng-container>
            <ng-container matColumnDef="email">
                <th mat-header-cell *matHeaderCellDef>{{ 'EMAIL' | translate }}</th>
                <td mat-cell *matCellDef="let element"> {{ element.email }} </td>
            </ng-container>
            <ng-container matColumnDef="actions">
                <th mat-header-cell *matHeaderCellDef>{{ 'LAST_LOAN' | translate }}</th>
                <td mat-cell *matCellDef="let element">
                    <mat-chip-list>
                        <mat-chip *ngIf="element.lastCreditApproved" color="accent" selected>{{ 'APPROVED' | translate
                            }}
                        </mat-chip>
                        <mat-chip *ngIf="!element.lastCreditApproved" color="warm" selected>{{ 'REFUSED' | translate }}
                        </mat-chip>
                    </mat-chip-list>
                </td>
            </ng-container>
            <ng-container matColumnDef="options">
                <th mat-header-cell *matHeaderCellDef></th>
                <td mat-cell *matCellDef="let element">
                    <button mat-icon-button [routerLink]="['/users', element.id]">
                        <mat-icon>visibility</mat-icon>
                    </button>
                </td>
            </ng-container>
            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>
    </div>


</div>